<template>
    <div>
        <el-dialog :title="title" :visible.sync="open" width="1200px" append-to-body>
            <el-form :model="queryParams" ref="queryForm" size="small" :inline="true" label-width="68px">
                <el-form-item label="编码" prop="pacCode">
                    <el-input v-model="queryParams.pacCode" placeholder="请输入编码" clearable
                        @keyup.enter.native="handleQuery" style="width: 120px;" />
                </el-form-item>
                <el-form-item label="名称" prop="pacName">
                    <el-input v-model="queryParams.pacName" placeholder="请输入名称" clearable
                        @keyup.enter.native="handleQuery" style="width: 130px;" />
                </el-form-item>
                <el-form-item label="内容" prop="pacRemark">
                    <el-input v-model="queryParams.pacRemark" placeholder="请输入内容" clearable
                        @keyup.enter.native="handleQuery" style="width: 130px;" />
                </el-form-item>
                <el-form-item>
                    <el-button type="primary" icon="el-icon-search" size="mini" @click="handleQuery">搜索</el-button>
                </el-form-item>
            </el-form>
            <el-table :data="dataList" ref="elTable" v-loading="loading" @selection-change="handleSelectionChange" border
                height="320px">
                <el-table-column type="selection" width="40" align="center" />
                <el-table-column label="序号"  prop="xh" align="center" />
                <el-table-column label="编码" align="center" prop="pacCode" />
                <el-table-column label="名称" align="center" prop="pacName" width="100px" />
                <el-table-column label="拼音码" align="center" prop="detail" width="100px" />
                <el-table-column label="内容" align="center" prop="pacRemark" />
                <el-table-column label="备注" align="center" prop="price" />
            </el-table>
            <span slot="footer" class="dialog-footer">
                <el-button @click="open = false">取 消</el-button>
                <el-button type="primary" @click="handleOk">确 定</el-button>
            </span>
        </el-dialog>

    </div>
</template>
  
<script>
import {
  getTjHyBgList,
} from "@/api/hosp/project";
export default {
    name: 'Packagese',
    // props: {
    //     row: {
    //         type: Object,
    //     }

    // },
    data() {
        return {
            open: false,
            openone:false,
            // 弹出层标题
            title: "",
            dataList: [],
            // 遮罩层
            loading: false,
            form: {
                desc: ""
            },
            queryParams: {
                pacCode: "",
                pacName: "",
                pacRemark: "",
            },
            list: [],
            fList: {}
        };
    },
    watch: {
        // 'row'(val, newVla) {
        //     console.log(val,newVla)
        //     this.fList = val
        //     console.log(this.fList);

        // }

    },
    mounted() {
        // this.getList()
    },

    created() {
        // this.getList()
    },
    methods: {
        getAllList(){
            this.openone = true
            getTjHyBgList(this.queryParams).then(res => {
                this.dataList = res.data
            })
        },
        getList() {
            this.openone = false
            Packagestlist(this.queryParams).then(res => {
                this.dataList = res.rows
            })
        },
        handleQuery() {
            // if(this.openone == false){
            //     this.getList()
            // }else  if(this.openone == true){
                this.getAllList()
            // }
        },
        handleSelectionChange(selection) {
            if (selection.length > 1) {
                this.$refs.elTable.clearSelection(); // 清空所有选择
                this.$refs.elTable.toggleRowSelection(selection.pop()); // 设置选择项
            }
            this.list = selection;
            console.log(this.list)

        },
        handleOk() {
            this.open = false
            if (this.list.length == 1) {
                this.$emit('add',this.list);
            }
        }
    }
}
</script>
  
<style scoped></style>
  